CORS Policies
Create CORS policy
Add a new CORS policy rule to the object storage bucket. The rule is appended to any existing rules.
POST
/
object-storage
/
{id}
/
cors-policies
Create CORS policy
curl --request POST \
--url https://api.sevalla.com/v3/object-storage/{id}/cors-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"methods": [
"GET",
"PUT"
],
"origins": [
"https://example.com"
],
"headers": [
"Content-Type"
]
}
'import requests
url = "https://api.sevalla.com/v3/object-storage/{id}/cors-policies"
payload = {
"methods": ["GET", "PUT"],
"origins": ["https://example.com"],
"headers": ["Content-Type"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
methods: ['GET', 'PUT'],
origins: ['https://example.com'],
headers: ['Content-Type']
})
};
fetch('https://api.sevalla.com/v3/object-storage/{id}/cors-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "CORS policy created"
}{
"message": "Bad request",
"status": 400,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Unauthorized",
"status": 401,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Forbidden",
"status": 403,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Too many requests",
"status": 429,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Internal Server Error",
"status": 500,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Object storage bucket identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Body
application/json
HTTP methods allowed by this CORS rule. At least one method is required. GET - read objects. PUT - upload objects. POST - create objects. DELETE - remove objects. HEAD - retrieve object metadata.
Minimum array length:
1Available options:
GET, PUT, POST, DELETE, HEAD Example:
["GET", "PUT"]
Origins allowed by this CORS rule. Use "*" to allow all origins. Maximum 100 origins.
Required array length:
1 - 100 elementsRequired string length:
1 - 250Example:
["https://example.com"]
HTTP headers allowed in CORS requests. Maximum 100 headers.
Maximum array length:
100Required string length:
1 - 250Example:
["Content-Type"]
Response
Default Response
Confirmation message
Example:
"CORS policy created"
Was this page helpful?
Previous
Update CORS policyUpdate an existing CORS policy rule on the object storage bucket. All fields must be provided as the rule is fully replaced.
Next
⌘I
Create CORS policy
